File: setup.py

package info (click to toggle)
automat 20.2.0-1
  • links: PTS, VCS
  • area: main
  • in suites: bookworm, bullseye, sid
  • size: 400 kB
  • sloc: python: 1,909; makefile: 16; sh: 2
file content (60 lines) | stat: -rw-r--r-- 1,787 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
"""
Setup file for automat
"""

from setuptools import setup, find_packages

try:
    from m2r import parse_from_file
    long_description = parse_from_file('README.md')
except(IOError, ImportError):
    #print("\n\n!!! m2r not found, long_description is bad, don't upload this to PyPI !!!\n\n")
    import io
    long_description = io.open('README.md', encoding="utf-8").read()

setup(
    name='Automat',
    use_scm_version=True,
    url='https://github.com/glyph/Automat',
    description="""
    Self-service finite-state machines for the programmer on the go.
    """.strip(),
    long_description=long_description,
    packages=find_packages(exclude=[]),
    package_dir={'automat': 'automat'},
    setup_requires=[
        'setuptools-scm',
#        'm2r',
    ],
    install_requires=[
        "attrs>=19.2.0",
        "six",
    ],
    extras_require={
        "visualize": ["graphviz>0.5.1",
                      "Twisted>=16.1.1"],
    },
    entry_points={
        "console_scripts": [
            "automat-visualize = automat._visualize:tool"
        ],
    },
    author='Glyph',
    author_email='glyph@twistedmatrix.com',
    include_package_data=True,
    license="MIT",
    keywords='fsm finite state machine automata',
    classifiers=[
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Programming Language :: Python :: 2',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
    ],
)